package de.ivu.elect.exchange.wahl;

import java.util.Collection;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;


import static java.util.Arrays.asList;

public class SystemWahlterminExportKonfigurationInit extends AbstractKonfigurationInit {
  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return asList( //
      create(ElectKonfigurationWerte.WAHLEXPORT_CRONTAB, ""),
      create(ElectKonfigurationWerte.WAHLEXPORT_PFAD, ""),
      create(ElectKonfigurationWerte.WAHLEXPORT_DATUM, ""),
      create(ElectKonfigurationWerte.WAHLEXPORT_AKTIVIERT, Boolean.FALSE)
    );
  }
}